> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teceo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# import a suggested order



## OpenAPI

````yaml https://integration.teceo.co/aos post /v1/orders/suggested
openapi: 3.0.0
info:
  title: teceo brand integrator API
  description: integrate your brand with teceo
  version: '1.0'
  contact: {}
servers:
  - url: /
security: []
tags: []
paths:
  /v1/orders/suggested:
    post:
      tags:
        - 'Orders:'
      summary: import a suggested order
      operationId: OrderController_importSuggestedOrder_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SuggestedOrderDTO'
      responses:
        '200':
          description: import a suggested order
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportSuggestedOrderResponseDTO'
        '400':
          description: >-
            response status code indicates that the server cannot or will not
            process the request due to something that is perceived to be a
            client error
        '403':
          description: >-
            client error status response code indicates that the server
            understood the request but refuses to authorize it
        '404':
          description: >-
            client error response code indicates that the server can't find the
            requested resource
      security:
        - ApiKey: []
components:
  schemas:
    SuggestedOrderDTO:
      type: object
      properties:
        customerCode:
          type: string
          description: >-
            customer code (when informed, the customerCnpj field should not be
            defined)
        customerCnpj:
          type: string
          description: >-
            customer cnpj (when informed, the customerCode field should not be
            defined)
        orderCode:
          type: string
          description: order code (when informed, the order will be updated)
        salesRepresentativeCode:
          type: string
          nullable: true
          description: sale representative code
        consultantCode:
          type: string
          nullable: true
          description: consultant code
        collectionCode:
          type: string
          nullable: true
          description: order collection code
        paymentMethodCode:
          type: string
          nullable: true
          description: order payment method code
        observation:
          type: string
          nullable: true
          description: suggested order observation
        internalObservation:
          type: string
          nullable: true
          description: internal suggested order observation
        items:
          description: order items
          type: array
          items:
            $ref: '#/components/schemas/CreateSuggestedOrderItem'
    ImportSuggestedOrderResponseDTO:
      type: object
      properties:
        importId:
          type: string
          description: import id
        message:
          type: string
          description: import message
      required:
        - message
    CreateSuggestedOrderItem:
      type: object
      properties:
        productCode:
          type: string
          description: product code
        colorCode:
          type: string
          description: color code
        size:
          type: string
          description: size
        quantity:
          type: number
          description: quantity
        availability:
          type: string
          enum:
            - PRE_ORDER
            - READY_FOR_DELIVERY
            - FUTURE_STOCK
          example: PRE_ORDER | READY_FOR_DELIVERY | FUTURE_STOCK
          description: suggested order availability
        deliveryWindowCode:
          type: string
          description: >-
            delivery window code (required if availability is PRE_ORDER or
            FUTURE_STOCK)
      required:
        - productCode
        - colorCode
        - size
        - quantity
        - availability
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: unique identifier access key. each brand has it own unique key.

````